/**
 * All available formfactor definitions
 *
 * @public exported from `@promptbook/core`
 */
export declare const FORMFACTOR_DEFINITIONS: readonly [{
    readonly name: "GENERIC";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/173";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [];
        readonly outputParameters: readonly [];
    };
}, {
    readonly name: "CHATBOT";
    readonly aliasNames: readonly ["CHAT"];
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/174";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [{
            readonly name: "previousTitle";
            readonly description: "Previous title of the conversation"; /**
             * All available formfactor definitions
             *
             * @public exported from `@promptbook/core`
             */
            readonly isInput: true;
            readonly isOutput: false;
        }, {
            readonly name: "previousConversationSummary";
            readonly description: "Previous conversation summary";
            readonly isInput: true;
            readonly isOutput: false;
        }, {
            readonly name: "userMessage";
            readonly description: "User message";
            readonly isInput: true;
            readonly isOutput: false;
        }];
        readonly outputParameters: readonly [{
            readonly name: "title";
            readonly description: "Title of the conversation";
            readonly isInput: false;
            readonly isOutput: true;
        }, {
            readonly name: "conversationSummary";
            readonly description: "Summary of the conversation";
            readonly isInput: false;
            readonly isOutput: true;
        }, {
            readonly name: "chatbotResponse";
            readonly description: "Chatbot response";
            readonly isInput: false;
            readonly isOutput: true;
        }];
    };
}, {
    readonly name: "TRANSLATOR";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/175";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [{
            readonly name: "inputMessage";
            readonly description: "Input message to be translated";
            readonly isInput: true;
            readonly isOutput: false;
        }];
        readonly outputParameters: readonly [{
            readonly name: "outputMessage";
            readonly description: "Translated output message";
            readonly isInput: false;
            readonly isOutput: true;
        }];
    };
}, {
    readonly name: "SHEETS";
    readonly aliasNames: readonly ["SHEETS", "SHEET"];
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/176";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [{
            readonly name: "inputSheet";
            readonly description: "Input sheet to be processed as csv";
            readonly isInput: true;
            readonly isOutput: false;
        }];
        readonly outputParameters: readonly [{
            readonly name: "outputSheet";
            readonly description: "Output sheet as csv";
            readonly isInput: false;
            readonly isOutput: true;
        }];
    };
}, {
    readonly name: "EXPERIMENTAL_MATCHER";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/177";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [];
        readonly outputParameters: readonly [];
    };
}, {
    readonly name: "GENERATOR";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/184";
    readonly pipelineInterface: {
        readonly inputParameters: readonly [];
        readonly outputParameters: readonly [];
    };
}];
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
